%define pkg_name        Ogg-Vorbis-Header
%define pkg_version     0.03
%define rpm_pkg_version 0.03
%define rpm_pkg_release 4.n0i.5

Summary:       View Vorbis info & comments, edit comments
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DB/DBP/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libogg-devel, libvorbis-devel
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Inline) >= 0.44
Requires: perl(Inline) >= 0.44


%description
This module presents an object-oriented interface to Ogg Vorbis files which
allows user to view Vorbis info and comments and to modify or add comments.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE.GPL README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.03-4.n0i.5
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.03-3.n0i.4
- automatic rebuild (perl 5.8.8)

* Sun Jul 31 2005 Marius Feraru <altblue@n0i.net> 0.03-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.03-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Wed Dec 29 2004 Marius Feraru <altblue@n0i.net> 0:0.03-1.n0i.1
- version 0.03
- spec file (re?)created using N0i::CPAN::RPMizer/2004120601
